Subject: bug#22916: 25.0.92; eww completely hangs Emacs on "invalid" png image

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Sat, 05 Mar 2016 16:23:19 +0100

Lars Ljung <[email-masked]> writes:

> I noticed that this error does not occur when compiling with
> --without-imagemagick. It seems like Imagemagick can not show the image
> in question and that eww does not properly handle this error.

I kinda doubt that this is a problem in eww.  The error message in
question is from deep in the Cairo code, so I would assume you'd get the
same message if you downloaded the .png in question and just asked Emacs
to display it.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no